Bug 1291967 - yum install command in 'Cluster Software Installation' section is missing pacemaker, corosync rpm packages
yum install command in 'Cluster Software Installation' section is missing pac...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Cluster_Administration (Show other bugs)
6.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Steven J. Levine
ecs-bugs
: Documentation
Depends On: 1291966
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 00:07 EST by Milan P. Gandhi
Modified: 2017-03-22 12:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1291966
Environment:
Last Closed: 2017-03-22 12:45:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan P. Gandhi 2015-12-16 00:07:40 EST
+++ This bug was initially created as a clone of Bug #1291966 +++

Document URL:

RHEL 7 High Availability Add-On Administration guide:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/High_Availability_Add-On_Administration/index.html#s1-clusterinstall-HAAA

Section Number and Name: 
 ⁠
1.1. Cluster Software Installation

Describe the issue: 

In above section of HA Add-On administration guide, there is following command given to install cluster packages:

<snip>
1. On each node in the cluster, install the Red Hat High Availability Add-On software packages along with all available fence agents from the High Availability channel.

	# yum install pcs fence-agents-all
<snip>

Above command is missing the other package names viz. pacemaker, corosync. These two core packages are also required for cluster:

Suggestions for improvement: 

The correct list of packages required to be installed for configuring cluster would be:

	# yum install pacemaker corosync fence-agents-all pcs

Additional information:
Comment 2 Milan P. Gandhi 2015-12-16 01:31:32 EST
There is a similar issue present in "⁠1.1. Installing Pacemaker configuration tools" section of following RHEL 6 pacemaker cluster admin guide:

"Configuring_the_Red_Hat_High_Availability_Add-On_with_Pacemaker"
 ⁠1.1. Installing Pacemaker configuration tools
 https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html-single/Configuring_the_Red_Hat_High_Availability_Add-On_with_Pacemaker/index.html#s1-installation-HAAR


So, cloned this BZ from BZ#1291967

In above section of HA Add-On administration guide, there is following command given to install cluster packages:

<snip>
You can use the following yum install command to install the Red Hat High Availability Add-On software packages along with all available: fence agents from the High Availability channel.

	# yum install pcs fence-agents
<snip>

Above command is missing the other package names viz. pacemaker, corosync, cman. These core packages are also required for cluster:

Suggestions for improvement: 

The correct list of packages required to be installed for configuring cluster would be:

	# yum install pacemaker corosync cman fence-agents pcs
Comment 5 Chris Feist 2016-04-11 16:06:40 EDT
For RHEL6, pcs does not require pacemaker, so we should modify the line to change from this:

yum install pcs fence-agents

to this:

yum install pcs pacemaker fence-agents

Thanks,
Chris
Comment 6 Chris Feist 2016-04-11 16:34:30 EDT
Correction, the command should be 'yum install pcs pacemaker cman fence-agents'

Thanks,
Chris
Comment 7 Steven J. Levine 2016-04-11 16:41:40 EDT
This update is now in the RHEL 6.8 document draft and will be corrected in the RHEL 6.8 release.

Note You need to log in before you can comment on or make changes to this bug.